### Année 2024


+ Christophe Gonzales, Amir-Hosein Valizadeh. A Full DAG Score-Based Algorithm for Learning Causal Bayesian Networks with Latent Confounders. European Conference on Artificial Intelligence, Oct 2024, Saint Jacques De Compostelle, Spain. &#x27E8;hal-04942356&#x27E9; [https://hal.science/hal-04942356v1](https://hal.science/hal-04942356v1)
+ Yousra El Ghazi, Djamal Habet, Cyril Terrioux. Optimisation du routage des conteneurs dans les réseaux de transport maritime de lignes. Journées Francophones de Programmation par Contraintes, Jun 2024, Lens, France. &#x27E8;hal-04937790&#x27E9; [https://amu.hal.science/hal-04937790v1](https://amu.hal.science/hal-04937790v1)

### Année 2023


+ Yousra El Ghazi, Djamal Habet, Cyril Terrioux. A CP Approach for the Liner Shipping Network Design Problem. 29th International Conference on Principles and Practice of Constraint Programming (CP 2023), Aug 2023, Toronto, Canada. &#x27E8;10.4230/LIPIcs.CP.2023.16&#x27E9;. &#x27E8;hal-04361450&#x27E9; [https://amu.hal.science/hal-04361450v1](https://amu.hal.science/hal-04361450v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Proofs and Certificates for Max-SAT (Extended Abstract) *. International Joint Conference on Artificial Intelligence, Aug 2023, Macao, China. &#x27E8;10.24963/ijcai.2023/787&#x27E9;. &#x27E8;hal-04318066&#x27E9; [https://hal.science/hal-04318066v1](https://hal.science/hal-04318066v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Proofs and Certificates for Max-SAT. International Joint Conferences on Artificial Intelligence, Aug 2023, Macao, China. &#x27E8;hal-04318075&#x27E9; [https://hal.science/hal-04318075v1](https://hal.science/hal-04318075v1)
+ Yousra El Ghazi, Djamal Habet, Cyril Terrioux. Conception des lignes d'un réseau de transport maritime à l'aide de la PPC. Journées Francophones de Programmation par Contraintes, Jul 2023, Strasbourg, France. &#x27E8;hal-04361937&#x27E9; [https://amu.hal.science/hal-04361937v1](https://amu.hal.science/hal-04361937v1)
+ Nabil Adrar, Philippe Jégou, Cyril Terrioux. Computing partial hypergraphs of bounded width. Discrete Applied Mathematics, 2023, 329, pp.1-22. &#x27E8;10.1016/j.dam.2022.12.025&#x27E9;. &#x27E8;hal-04361509&#x27E9; [https://amu.hal.science/hal-04361509v1](https://amu.hal.science/hal-04361509v1)

### Année 2022


+ Mohamed Sami Cherif. Reasoning and Inference for (Maximum) Satisfiability: New Insights. Computer Science [cs]. Aix-Marseille University, 2022. English. &#x27E8;NNT : 2022AIXM0589&#x27E9;. &#x27E8;tel-04088137&#x27E9; [https://theses.hal.science/tel-04088137v1](https://theses.hal.science/tel-04088137v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Proofs and Certificates for Max-SAT. Journal of Artificial Intelligence Research, 2022, 75, pp.1373-1400. &#x27E8;10.1613/jair.1.13811&#x27E9;. &#x27E8;hal-03977496&#x27E9; [https://amu.hal.science/hal-03977496v1](https://amu.hal.science/hal-03977496v1)
+ Shoulin Li, Jordi Coll, Djamal Habet, Chu-Min Li, Felip Manyà. A Tableau Calculus for MaxSAT Based on Resolution. Artificial Intelligence Research and Development, IOS Press, 2022, Frontiers in Artificial Intelligence and Applications, &#x27E8;10.3233/FAIA220311&#x27E9;. &#x27E8;hal-04013828&#x27E9; [https://u-picardie.hal.science/hal-04013828v1](https://u-picardie.hal.science/hal-04013828v1)
+ Christophe Gonzales, Axel Journe, Ahmed Mabrouk. Learning Causal Networks using Uncertain Experts' Knowledge A Hybrid Algorithm for Learning Causal Networks using Uncertain Experts' Knowledge. 11th International Conference on Probabilistic Graphical Models (PGM 2022), Oct 2022, Almeria, Spain. pp.241-252. &#x27E8;hal-04942404&#x27E9; [https://hal.science/hal-04942404v1](https://hal.science/hal-04942404v1)
+ Stéphane Grandcolas. A Metaheuristic Algorithm for Ship Weather Routing. SN Operations Research Forum, 2022, 3 (3), pp.35. &#x27E8;10.1007/s43069-022-00140-0&#x27E9;. &#x27E8;hal-03828303&#x27E9; [https://amu.hal.science/hal-03828303v1](https://amu.hal.science/hal-03828303v1)
+ Miquel Bofill, Jordi Coll, Jesús Giráldez-Cru, Josep Suy, Mateu Villaret. The Impact of Implied Constraints on MaxSAT B2B Instances. International Journal of Computational Intelligence Systems, 2022, 15 (1), pp.63. &#x27E8;10.1007/s44196-022-00121-5&#x27E9;. &#x27E8;hal-03775333&#x27E9; [https://amu.hal.science/hal-03775333v1](https://amu.hal.science/hal-03775333v1)
+ Mohamed Sami Cherif, Djamal Habet, Matthieu Py. From Crossing-Free Resolution to Max-SAT Resolution. 28th International Conference on Principles and Practice of Constraint Programming (CP 2022), Jul 2022, Haifa, Israel. &#x27E8;10.4230/LIPIcs.CP.2022.12&#x27E9;. &#x27E8;hal-03979371&#x27E9; [https://amu.hal.science/hal-03979371v1](https://amu.hal.science/hal-03979371v1)
+ Chu-Min Li, Zhenxing Xu, Jordi Coll, Felip Manyà, Djamal Habet, et al.. Combining Clause Learning and Branch and Bound for MaxSAT (Extended Abstract). 31ST INTERNATIONAL JOINT CONFERENCE ON ARTIFICIAL INTELLIGENCE (IJCAI 2022), Jul 2022, Vienne, Austria. &#x27E8;hal-03775319&#x27E9; [https://amu.hal.science/hal-03775319v1](https://amu.hal.science/hal-03775319v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Explication de clauses et de formules dans Max-SAT. JFPC 2022, Jun 2022, Saint-Etienne, France. &#x27E8;hal-03737733&#x27E9; [https://amu.hal.science/hal-03737733v1](https://amu.hal.science/hal-03737733v1)
+ Zied Bouraoui, Valérie Camps, Éric Gaussier, Maxime Guériau, Christelle Launois, et al.. Conférence Nationale d'Intelligence Artificielle Année 2022. Association Française d'Intelligence Artificielle, pp.1-239, 2022. &#x27E8;hal-03777860v2&#x27E9; [https://hal.science/hal-03777860v2](https://hal.science/hal-03777860v2)
+ Mohamed Sami Cherif, Djamal Habet, Matthieu Py. De la résolution à la max-résolution. Journées Francophones de Programmation par Contraintes (JFPC), Jun 2022, Saint-Étienne, France. &#x27E8;hal-03714732&#x27E9; [https://amu.hal.science/hal-03714732v1](https://amu.hal.science/hal-03714732v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Certificats d'optimalité pour Max-SAT. JFPC 2022, Jun 2022, Saint-Etienne, France. &#x27E8;hal-03737729&#x27E9; [https://amu.hal.science/hal-03737729v1](https://amu.hal.science/hal-03737729v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Max-réfutations et oracles SAT. JFPC 2022, Jun 2022, Saint-Etienne, France. &#x27E8;hal-03737731&#x27E9; [https://amu.hal.science/hal-03737731v1](https://amu.hal.science/hal-03737731v1)
+ Miquel Bofill, Jordi Coll, Gerard Martín, Josep Suy, Mateu Villaret. The Sample Analysis Machine Scheduling Problem: Definition and comparison of exact solving approaches. Computers and Operations Research, 2022, 142, pp.105730. &#x27E8;10.1016/j.cor.2022.105730&#x27E9;. &#x27E8;hal-03604638&#x27E9; [https://amu.hal.science/hal-03604638v1](https://amu.hal.science/hal-03604638v1)
+ Yannick Carissan, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, Adrien Varet. How constraint programming can help chemists to generate Benzenoid structures and assess the local Aromaticity of Benzenoids. Constraints, 2022, &#x27E8;10.1007/s10601-022-09328-x&#x27E9;. &#x27E8;hal-03684890&#x27E9; [https://amu.hal.science/hal-03684890v1](https://amu.hal.science/hal-03684890v1)
+ Adrien Varet, Nicolas Prcovic, Cyril Terrioux, Denis Hagebaum-Reignier, Yannick Carissan. BenzAI: A Program to Design Benzenoids With Defined Properties Using Constraint Programming. Journal of Chemical Information and Modeling, 2022, 62 (11), pp.2811--2820. &#x27E8;10.1021/acs.jcim.2c00353&#x27E9;. &#x27E8;hal-03691364&#x27E9; [https://hal.science/hal-03691364v1](https://hal.science/hal-03691364v1)
+ Miquel Bofill, Jordi Coll, Marc Garcia, Jesús Giráldez-Cru, Gilles Pesant, et al.. Constraint Solving Approaches to the Business-to-Business Meeting Scheduling Problem. Journal of Artificial Intelligence Research, 2022. &#x27E8;hal-03775300&#x27E9; [https://amu.hal.science/hal-03775300v1](https://amu.hal.science/hal-03775300v1)
+ Miquel Bofill, Jordi Coll, Josep Suy, Felix Ulrich-Oltean, Mateu Villaret, et al.. SAT encodings for Pseudo-Boolean constraints together with at-most-one constraints. Artificial Intelligence, 2022, 302, pp.103604. &#x27E8;10.1016/j.artint.2021.103604&#x27E9;. &#x27E8;hal-03475301&#x27E9; [https://amu.hal.science/hal-03475301v1](https://amu.hal.science/hal-03475301v1)

### Année 2021


+ Chu-Min Li, Zhenxing Xu, Jordi Coll, Felip Manyà, Djamal Habet, et al.. Boosting branch-and-bound MaxSAT solvers with clause learning. AI Communications, 2021, pp.1-21. &#x27E8;10.3233/AIC-210178&#x27E9;. &#x27E8;hal-03594950&#x27E9; [https://amu.hal.science/hal-03594950v1](https://amu.hal.science/hal-03594950v1)
+ Matthieu Py. Inférence et certificats pour le problème de satisfiabilité maximum. Informatique [cs]. Université d'Aix-Marseille (AMU), 2021. Français. &#x27E8;NNT : 2021AIXM0631&#x27E9;. &#x27E8;tel-03977443&#x27E9; [https://amu.hal.science/tel-03977443v1](https://amu.hal.science/tel-03977443v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Computing Max-SAT Refutations using SAT Oracles. International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2021, Visioconférence, France. &#x27E8;10.1109/ICTAI52525.2021.00066&#x27E9;. &#x27E8;hal-03737738&#x27E9; [https://amu.hal.science/hal-03737738v1](https://amu.hal.science/hal-03737738v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Inferring Clauses and Formulas in Max-SAT. The 33rd IEEE International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2021, Vidéoconférence, France. &#x27E8;10.1109/ICTAI52525.2021.00101&#x27E9;. &#x27E8;hal-03737741&#x27E9; [https://amu.hal.science/hal-03737741v1](https://amu.hal.science/hal-03737741v1)
+ Yannick Carissan, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, Adrien Varet. Exhaustive Generation of Benzenoid Structures Sharing Common Patterns. 27th International Conference on Principles and Practice of Constraint Programming, Oct 2021, Montpellier, France. &#x27E8;10.4230/LIPIcs.CP.2021.19&#x27E9;. &#x27E8;hal-03402690&#x27E9; [https://amu.hal.science/hal-03402690v1](https://amu.hal.science/hal-03402690v1)
+ Mohamed Sami Cherif, Djamal Habet, Cyril Terrioux. Combining VSIDS and CHB Using Restarts in SAT. 27th International Conference on Principles and Practice of Constraint Programming, Oct 2021, Montpellier, France. &#x27E8;10.4230/LIPIcs.CP.2021.20&#x27E9;. &#x27E8;hal-03402696&#x27E9; [https://amu.hal.science/hal-03402696v1](https://amu.hal.science/hal-03402696v1)
+ Joan Espasa, Jordi Coll, Ian Miguel, Mateu Villaret. Exploring Lifted Planning Encodings in Essence Prime. 23rd International Conference of the Catalan Association for Artificial Intelligence, Oct 2021, Lleida, Spain. &#x27E8;10.3233/FAIA210117&#x27E9;. &#x27E8;hal-03604624&#x27E9; [https://amu.hal.science/hal-03604624v1](https://amu.hal.science/hal-03604624v1)
+ Antoine Milot, Estelle Chauveau, Simon Lacroix, Charles Lesire. Market-based Multi-robot coordination with HTN planning. International Conference on Intelligent Robots and Systems (IROS 2021), Sep 2021, Prague, Czech Republic. pp.2606-2612, &#x27E8;10.1109/IROS51168.2021.9636286&#x27E9;. &#x27E8;hal-03418176&#x27E9; [https://laas.hal.science/hal-03418176v1](https://laas.hal.science/hal-03418176v1)
+ Stéphane Grandcolas, Cyril Pain-Barre. A hybrid metaheuristic for the two-dimensional strip packing problem. Annals of Operations Research, 2021, &#x27E8;10.1007/s10479-021-04226-6&#x27E9;. &#x27E8;hal-03403338&#x27E9; [https://amu.hal.science/hal-03403338v1](https://amu.hal.science/hal-03403338v1)
+ Mohamed Sami Cherif, Djamal Habet, André Abrame. Understanding the power of Max-SAT resolution through UP-resilience. Thirtieth International Joint Conference on Artificial Intelligence (IJCAI-21), Aug 2021, Montreal-themed Virtual Reality, Canada. &#x27E8;hal-03334479&#x27E9; [https://amu.hal.science/hal-03334479v1](https://amu.hal.science/hal-03334479v1)
+ Djamal Habet, Cyril Terrioux. Conflict history based heuristic for constraint satisfaction problem solving. Journal of Heuristics, 2021, 27 (6), pp.951-990. &#x27E8;10.1007/s10732-021-09475-z&#x27E9;. &#x27E8;hal-03276535&#x27E9; [https://amu.hal.science/hal-03276535v1](https://amu.hal.science/hal-03276535v1)
+ Yannick Carissan, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, Adrien Varet. Prise en compte de motifs et génération de structures de benzénoïdes. Actes des 16èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2021, Nice, France. &#x27E8;hal-03270882&#x27E9; [https://amu.hal.science/hal-03270882v1](https://amu.hal.science/hal-03270882v1)
+ Yannick Carissan, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, Adrien Varet. Utiliser la PPC pour générer des structures de benzénoïdes en chimie théorique. Actes des 16èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2021, Nice, France. &#x27E8;hal-03270850&#x27E9; [https://amu.hal.science/hal-03270850v1](https://amu.hal.science/hal-03270850v1)
+ Mohamed Sami Cherif, Djamal Habet, Cyril Terrioux. Raffiner l'heuristique CHS à l'aide de bandits. Actes des 16èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2021, Nice, France. &#x27E8;hal-03270911&#x27E9; [https://amu.hal.science/hal-03270911v1](https://amu.hal.science/hal-03270911v1)
+ Mohamed Sami Cherif, Djamal Habet, Cyril Terrioux. Un bandit manchot pour combiner CHB et VSIDS. Actes des 16èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2021, Nice, France. &#x27E8;hal-03270931&#x27E9; [https://amu.hal.science/hal-03270931v1](https://amu.hal.science/hal-03270931v1)
+ Christophe Gonzales, Axel Journe, Ahmed Mabrouk. Constraint-Based Bayesian Network Structure Learning using Uncertain Experts’ Knowledge. Thirty-fourth International Florida Artificial Intelligence Research Society Conference, May 2021, Florida, USA, France. &#x27E8;10.32473/flairs.v34i1.128453&#x27E9;. &#x27E8;hal-03613058&#x27E9; [https://amu.hal.science/hal-03613058v1](https://amu.hal.science/hal-03613058v1)
+ Zhouxing Su, Qingyun Zhang, Zhipeng Lu, Chu-Min Li, Weibo Lin, et al.. Weighting-based Variable Neighborhood Search for Optimal Camera Placement. THIRTY-FIFTH AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE, THIRTY-THIRD CONFERENCE ON INNOVATIVE APPLICATIONS OF ARTIFICIAL INTELLIGENCE AND THE ELEVENTH SYMPOSIUM ON EDUCATIONAL ADVANCES IN ARTIFICIAL INTELLIGENCE, Feb 2021, Vancouver, Canada. pp.12400-12408. &#x27E8;hal-03636412&#x27E9; [https://u-picardie.hal.science/hal-03636412v1](https://u-picardie.hal.science/hal-03636412v1)
+ Jiongzhi Zheng, Kun He, Jianrong Zhou, Yan Jin, Chu-Min Li. Combining Reinforcement Learning with Lin-Kernighan-Helsgaun Algorithm for the Traveling Salesman Problem. THIRTY-FIFTH AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE, THIRTY-THIRD CONFERENCE ON INNOVATIVE APPLICATIONS OF ARTIFICIAL INTELLIGENCE AND THE ELEVENTH SYMPOSIUM ON EDUCATIONAL ADVANCES IN ARTIFICIAL INTELLIGENCE, Feb 2021, Vancouver, Canada. pp.12445-12452. &#x27E8;hal-03636413&#x27E9; [https://u-picardie.hal.science/hal-03636413v1](https://u-picardie.hal.science/hal-03636413v1)
+ Benoit Clement, Thomas Chaffre, Gilles Le Chenadec, Karl Sammut, Estelle Chauveau. Direct Adaptive Pole-Placement Controller using Deep Reinforcement Learning: Application to AUV Control. IFAC-PapersOnLine, 2021, 54 (16), pp.333-340. &#x27E8;10.1016/j.ifacol.2021.10.113&#x27E9;. &#x27E8;hal-03438286&#x27E9; [https://hal.science/hal-03438286v1](https://hal.science/hal-03438286v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. A Proof Builder for Max-SAT. 24th International Conference on Theory and Applications of Satisfiability Testing (SAT 2021), 2021, Barcelone, Spain. &#x27E8;10.1007/978-3-030-80223-3_33&#x27E9;. &#x27E8;hal-03343022&#x27E9; [https://hal.science/hal-03343022v1](https://hal.science/hal-03343022v1)
+ Chu-Min Li, Zhenxing Xu, Jordi Coll, Felip Manyà, Djamal Habet, et al.. Combining Clause Learning and Branch and Bound for MaxSAT. 27th International Conference on Principles and Practice of Constraint Programming (CP 2021), 2021, Montpellier (Online), Best Paper Award, France. &#x27E8;10.4230/LIPIcs.CP.2021.38&#x27E9;. &#x27E8;hal-03409895&#x27E9; [https://hal.science/hal-03409895v1](https://hal.science/hal-03409895v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Des réfutations SAT aux réfutations Max-SAT *. Journées Francophones de Programmation par Contraintes (JFPC 2021), 2021, Conférence virtuelle, France. &#x27E8;hal-03343027&#x27E9; [https://hal.science/hal-03343027v1](https://hal.science/hal-03343027v1)
+ Chu-Min Li, Fan Xiao, Felip Manya. A resolution calculus for MinSAT. Logic Journal of the IGPL, 2021, 29 (1), pp.28-44. &#x27E8;10.1093/jigpal/jzz028&#x27E9;. &#x27E8;hal-03636410&#x27E9; [https://u-picardie.hal.science/hal-03636410v1](https://u-picardie.hal.science/hal-03636410v1)
+ Christian Blum, Marko Djukanovic, Alberto Santini, Hua Jiang, Chu-Min Li, et al.. Solving longest common subsequence problems via a transformation to the maximum clique problem. Computers and Operations Research, 2021, 125, &#x27E8;10.1016/j.cor.2020.105089&#x27E9;. &#x27E8;hal-03636411&#x27E9; [https://u-picardie.hal.science/hal-03636411v1](https://u-picardie.hal.science/hal-03636411v1)

### Année 2020


+ Mohamed Sami Cherif, Djamal Habet, André Abramé. Understanding the power of Max-SAT resolution through UP-resilience. Artificial Intelligence, 2020, 289, pp.103397. &#x27E8;10.1016/j.artint.2020.103397&#x27E9;. &#x27E8;hal-02977156&#x27E9; [https://amu.hal.science/hal-02977156v1](https://amu.hal.science/hal-02977156v1)
+ Matthieu Py, Mohamed Sami Cherif, Djamal Habet. Towards Bridging the Gap Between SAT and Max-SAT Refutations. 32th International Conference on Tools with Artificial Intelligence, Nov 2020, Baltimore, United States. &#x27E8;hal-03134416v2&#x27E9; [https://amu.hal.science/hal-03134416v2](https://amu.hal.science/hal-03134416v2)
+ Mohamed Sami Cherif, Djamal Habet, Cyril Terrioux. On the Refinement of Conflict History Search Through Multi-Armed Bandit. IEEE 32nd International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2020, Baltimore, United States. pp.264-271, &#x27E8;10.1109/ICTAI50040.2020.00050&#x27E9;. &#x27E8;hal-03132228&#x27E9; [https://amu.hal.science/hal-03132228v1](https://amu.hal.science/hal-03132228v1)
+ Yannick Carissan, Chisom-Adaobi Dim, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, et al.. Computing the Local Aromaticity of Benzenoids Thanks to Constraint Programming. 26th International Conference on Principles and Practice of Constraint Programming, Sep 2020, Louvain-la-Neuve, Belgium. pp.673-689, &#x27E8;10.1007/978-3-030-58475-7_39&#x27E9;. &#x27E8;hal-02931928&#x27E9; [https://amu.hal.science/hal-02931928v1](https://amu.hal.science/hal-02931928v1)
+ Yannick Carissan, Denis Hagebaum-Reignier, Nicolas Prcovic, Cyril Terrioux, Adrien Varet. Using Constraint Programming to Generate Benzenoid Structures in Theoretical Chemistry. 26th International Conference on Principles and Practice of Constraint Programming, Sep 2020, Louvain-la-Neuve, Belgium. pp.690-706, &#x27E8;10.1007/978-3-030-58475-7_40&#x27E9;. &#x27E8;hal-02931934&#x27E9; [https://amu.hal.science/hal-02931934v1](https://amu.hal.science/hal-02931934v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux. Variable Elimination in Binary CSPs (Extended Abstract). Twenty-Ninth International Joint Conference on Artificial Intelligence and Seventeenth Pacific Rim International Conference on Artificial Intelligence {IJCAI-PRICAI-20}, Jul 2020, Yokohama, France. pp.5035-5039, &#x27E8;10.24963/ijcai.2020/702&#x27E9;. &#x27E8;hal-02897892&#x27E9; [https://amu.hal.science/hal-02897892v1](https://amu.hal.science/hal-02897892v1)
+ Christophe Gonzales, Patrice Perny. Decision Under Uncertainty. Marquis, Pierre; Papini, Odile; Prade, Henri. A Guided Tour of Artificial Intelligence Research, I, Springer, pp.549-586, 2020, Knowledge Representation, Reasoning and Learning. &#x27E8;hal-02860485&#x27E9; [https://hal.science/hal-02860485v1](https://hal.science/hal-02860485v1)
+ Christophe Gonzales, Patrice Perny. Multicriteria Decision Making. Marquis, Pierre; Papini, Odile; Prade, Henri. A Guided Tour of Artificial Intelligence Research, I, Springer, pp.519-548, 2020, Knowledge Representation, Reasoning and Learning, 978-3-030-06164-7. &#x27E8;10.1007/978-3-030-06164-7_16&#x27E9;. &#x27E8;hal-02860326&#x27E9; [https://hal.science/hal-02860326v1](https://hal.science/hal-02860326v1)
+ Yanli Liu, Chu-Min Li, Hua Jiang, Kun He. A Learning Based Branch and Bound for Maximum Common Subgraph Related Problems. THIRTY-FOURTH AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE, THE THIRTY-SECOND INNOVATIVE APPLICATIONS OF ARTIFICIAL INTELLIGENCE CONFERENCE AND THE TENTH AAAI SYMPOSIUM ON EDUCATIONAL ADVANCES IN ARTIFICIAL INTELLIGENCE, Feb 2020, New-York, United States. pp.2392-2399. &#x27E8;hal-03636418&#x27E9; [https://u-picardie.hal.science/hal-03636418v1](https://u-picardie.hal.science/hal-03636418v1)
+ Richard Ostrowski, Lionel Paris, Adrien Varet. Another Way to Browse the Search Space For Some Transformations from CSP to SAT. International Symposium on Artificial Intelligence and Mathematics, Jan 2020, Fort Lauderdale, United States. &#x27E8;hal-02456248&#x27E9; [https://amu.hal.science/hal-02456248v1](https://amu.hal.science/hal-02456248v1)
+ Chu-Min Li, Fan Xiao, Mao Luo, Felip Manya, Zhipeng Lu, et al.. Clause vivification by unit propagation in CDCL SAT solvers. Artificial Intelligence, 2020, 279, &#x27E8;10.1016/j.artint.2019.103197&#x27E9;. &#x27E8;hal-03636415&#x27E9; [https://u-picardie.hal.science/hal-03636415v1](https://u-picardie.hal.science/hal-03636415v1)
+ Jun Wu, Chu-Min Li, Lu Jiang, Junping Zhou, Minghao Yin. Local search for diversified Top-k clique search problem. Computers and Operations Research, 2020, 116, &#x27E8;10.1016/j.cor.2019.104867&#x27E9;. &#x27E8;hal-03636414&#x27E9; [https://u-picardie.hal.science/hal-03636414v1](https://u-picardie.hal.science/hal-03636414v1)

### Année 2019


+ Christophe Gonzales. Dealing with Continuous Variables in Graphical Models. International Conference on Scalable Uncertainty Management, Dec 2019, Compiègne, France. &#x27E8;hal-02444883&#x27E9; [https://hal.science/hal-02444883v1](https://hal.science/hal-02444883v1)
+ Mohamed Sami Cherif, Djamal Habet. Towards the Characterization of Max-Resolution Transformations of UCSs by UP-Resilience. The 25th International Conference on Principles and Practice of Constraint Programming (CP 2019), pp. 91-107, Sep 2019, Stamford, United States. &#x27E8;hal-02295154&#x27E9; [https://amu.hal.science/hal-02295154v1](https://amu.hal.science/hal-02295154v1)
+ Djamal Habet, Cyril Terrioux. Une heuristique basée sur l'historique des conflits pour les problèmes de satisfaction de contraintes. Actes des 15èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2019, Albi, France. pp.153-154. &#x27E8;hal-02162856&#x27E9; [https://amu.hal.science/hal-02162856v1](https://amu.hal.science/hal-02162856v1)
+ Mohamed Sami Cherif, Djamal Habet. Sur l'UP-résilience des k-UCSs binaires. Actes des 15èmes Journées Francophones de Programmation par Contraintes (JFPC), pp. 177-180, Jun 2019, Albi, France. &#x27E8;hal-02295161&#x27E9; [https://amu.hal.science/hal-02295161v1](https://amu.hal.science/hal-02295161v1)
+ Richard Ostrowski, Lionel Paris, Adrien Varet. Une autre règle de séparation pour des codages de CSP vers SAT. Actes des 15èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2019, Albi, France. &#x27E8;hal-02299020&#x27E9; [https://amu.hal.science/hal-02299020v1](https://amu.hal.science/hal-02299020v1)
+ Philippe Jégou, Hélène Kanso, Cyril Terrioux. Sur la pertinence des décompositions arborescentes optimales pour la résolution de CSP. Actes des 15èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2019, Albi, France. &#x27E8;hal-02162858&#x27E9; [https://amu.hal.science/hal-02162858v1](https://amu.hal.science/hal-02162858v1)
+ Philippe Jégou, Cyril Terrioux. Décompositions structurelles et sémantiques Rapport préliminaire. Actes des 15èmes Journées Francophones de Programmation par Contraintes (JFPC), Jun 2019, Albi, France. pp.3-6. &#x27E8;hal-02162848&#x27E9; [https://amu.hal.science/hal-02162848v1](https://amu.hal.science/hal-02162848v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux. Variable elimination in binary CSPs. 2019. &#x27E8;hal-02142769&#x27E9; [https://amu.hal.science/hal-02142769v1](https://amu.hal.science/hal-02142769v1)
+ Djamal Habet, Cyril Terrioux. Conflict History based Search for Constraint Satisfaction Problem. Proceedings of the 34th ACM/SIGAPP Symposium On Applied Computing (SAC), Apr 2019, Limassol, Cyprus. &#x27E8;10.1145/3297280.3297389&#x27E9;. &#x27E8;hal-02090618&#x27E9; [https://amu.hal.science/hal-02090618v1](https://amu.hal.science/hal-02090618v1)
+ Junwen Ding, Zhipeng Lu, Chu-Min Li, Liji Shen, Liping Xu, et al.. A Two-Individual Based Evolutionary Algorithm for the Flexible Job Shop Scheduling Problem. THIRTY-THIRD AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE / THIRTY-FIRST INNOVATIVE APPLICATIONS OF ARTIFICIAL INTELLIGENCE CONFERENCE / NINTH AAAI SYMPOSIUM ON EDUCATIONAL ADVANCES IN ARTIFICIAL INTELLIGENCE, Feb 2019, Honolulu, United States. pp.2262-2271. &#x27E8;hal-03636421&#x27E9; [https://u-picardie.hal.science/hal-03636421v1](https://u-picardie.hal.science/hal-03636421v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux. Variable Elimination in Binary CSPs. Journal of Artificial Intelligence Research, 2019, 66, pp.589 - 624. &#x27E8;10.1613/jair.1.11295&#x27E9;. &#x27E8;hal-02338904&#x27E9; [https://hal.science/hal-02338904v1](https://hal.science/hal-02338904v1)
+ Fan Xiao, Chu-Min Li, Mao Luo, Felip Manya, Zhipeng Lu, et al.. A branching heuristic for SAT solvers based on complete implication graphs. Science China Information Sciences, 2019, 62 (7), &#x27E8;10.1007/s11432-017-9467-7&#x27E9;. &#x27E8;hal-03636419&#x27E9; [https://u-picardie.hal.science/hal-03636419v1](https://u-picardie.hal.science/hal-03636419v1)
+ Zhenxing Xu, Kun He, Chu-Min Li. An iterative Path-Breaking approach with mutation and restart strategies for the MAX-SAT problem. Computers and Operations Research, 2019, 104, pp.49-58. &#x27E8;10.1016/j.cor.2018.12.005&#x27E9;. &#x27E8;hal-03636420&#x27E9; [https://u-picardie.hal.science/hal-03636420v1](https://u-picardie.hal.science/hal-03636420v1)

### Année 2018


+ Djamal Habet, Cyril Terrioux. Conflict History Based Branching Heuristic for CSP Solving. Proceedings of the 8th International Workshop on Combinations of Intelligent Methods and Applications (CIMA), Nov 2018, Volos, Greece. &#x27E8;hal-02090610&#x27E9; [https://amu.hal.science/hal-02090610v1](https://amu.hal.science/hal-02090610v1)
+ Philippe Jégou, Hélène Kanso, Cyril Terrioux. On the Relevance of Optimal Tree Decompositions for Constraint Networks. Proceedings of the 30th International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2018, Volos, Greece. &#x27E8;hal-01933665&#x27E9; [https://amu.hal.science/hal-01933665v1](https://amu.hal.science/hal-01933665v1)
+ Cyril Terrioux. Quatorzièmes Journées Francophones de Programmation par Contraintes. Journées Francophones de Programmation par Contraintes, Jun 2018, Amiens, France. 2018. &#x27E8;hal-02064794&#x27E9; [https://amu.hal.science/hal-02064794v1](https://amu.hal.science/hal-02064794v1)
+ Estelle Chauveau. Optimisation des routes maritimes : un système de résolution multicritère et dépendant du temps. Informatique [cs]. Aix-Marseille Université (AMU), 2018. Français. &#x27E8;NNT : &#x27E9;. &#x27E8;tel-02360141&#x27E9; [https://amu.hal.science/tel-02360141v1](https://amu.hal.science/tel-02360141v1)
+ Hua Jiang, Chu-Min Li, Yanli Liu, Felip Manya. A Two-Stage MaxSAT Reasoning Approach for the Maximum Weight Clique Problem. THIRTY-SECOND AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE / THIRTIETH INNOVATIVE APPLICATIONS OF ARTIFICIAL INTELLIGENCE CONFERENCE / EIGHTH AAAI SYMPOSIUM ON EDUCATIONAL ADVANCES IN ARTIFICIAL INTELLIGENCE, Feb 2018, New-Orleans, United States. pp.1338-1346. &#x27E8;hal-03636425&#x27E9; [https://u-picardie.hal.science/hal-03636425v1](https://u-picardie.hal.science/hal-03636425v1)
+ Chu-Min Li, Zhiwen Fang, Hua Jiang, Ke Xu. Incremental Upper Bound for the Maximum Clique Problem. INFORMS Journal on Computing, 2018, 30 (1), pp.137-153. &#x27E8;10.1287/ijoc.2017.0770&#x27E9;. &#x27E8;hal-03636423&#x27E9; [https://u-picardie.hal.science/hal-03636423v1](https://u-picardie.hal.science/hal-03636423v1)
+ Laurent Oxusoff, Pascal Prea, Yvan Perez. A complete logical approach to resolve the evolution and dynamics of mitochondrial genome in bilaterians. PLoS ONE, 2018, 13 (3), pp.e0194334. &#x27E8;10.1371/journal.pone.0194334&#x27E9;. &#x27E8;hal-01765687&#x27E9; [https://hal.science/hal-01765687v1](https://hal.science/hal-01765687v1)
+ Chu-Min Li, Yanli Liu, Hua Jiang, Felip Manya, Yu Li. A new upper bound for the maximum weight clique problem. European Journal of Operational Research, 2018, 270 (1), pp.66-77. &#x27E8;10.1016/j.ejor.2018.03.020&#x27E9;. &#x27E8;hal-03636424&#x27E9; [https://u-picardie.hal.science/hal-03636424v1](https://u-picardie.hal.science/hal-03636424v1)

### Année 2017


+ Hélène Kanso. Résolution des problèmes (W)CSP et #CSP par approches structurelles : Calcul et exploitation dynamique de décompositions arborescentes. Intelligence artificielle [cs.AI]. Aix Marseille Universitè, 2017. Français. &#x27E8;NNT : 2017AIXM0655&#x27E9;. &#x27E8;tel-02457731&#x27E9; [https://amu.hal.science/tel-02457731v1](https://amu.hal.science/tel-02457731v1)
+ Estelle Chauveau, Philippe Jégou, Nicolas Prcovic. Weather Routing Optimization: A New Shortest Path Algorithm. 29th IEEE International Conference on Tools with Artificial Intelligence, ICTAI 2017, Nov 2017, Boston, United States. &#x27E8;hal-01792118&#x27E9; [https://amu.hal.science/hal-01792118v1](https://amu.hal.science/hal-01792118v1)
+ Philippe Jégou, Hélène Kanso, Cyril Terrioux. Adaptive and Opportunistic Exploitation of Tree-decompositions for Weighted CSPs. 2017 International Conference on Tools with Artificial Intelligence (ICTAI 2017), Nov 2017, Boston, MA, United States. &#x27E8;hal-01779631&#x27E9; [https://amu.hal.science/hal-01779631v1](https://amu.hal.science/hal-01779631v1)
+ Achref El Mouelhi. Tractable Classes for CSPs of Arbitrary Arity: From Theory to Practice. Constraints, 2017. &#x27E8;hal-01785394&#x27E9; [https://amu.hal.science/hal-01785394v1](https://amu.hal.science/hal-01785394v1)
+ Estelle Chauveau, Philippe Jégou, Nicolas Prcovic. Optimisation bi-critère de la vitesse le long d'un trajet maritime. Treizièmes Francophones de Programmation par Contraintes, JFPC 2017, Jun 2017, Montreuil-sur-Mer, France. &#x27E8;hal-01785208&#x27E9; [https://amu.hal.science/hal-01785208v1](https://amu.hal.science/hal-01785208v1)
+ André Abramé, Djamal Habet. Apprentissage de clauses nobetters dans les solveurs séparation et évaluation pour Max-SAT. Actes des Treizièmes Journées Francophones de Programmation par Contraintes (JFPC 2017)), Jun 2017, Montreuil-sur-Mer, France. &#x27E8;hal-01786548&#x27E9; [https://amu.hal.science/hal-01786548v1](https://amu.hal.science/hal-01786548v1)
+ Achref El Mouelhi. Une famille de règles d'élimination de variables pour les CSP binaires basées sur BTP. Treizièmes Francophones de Programmation par Contraintes, JFPC 2017, Jun 2017, Montreuil-sur-Mer, France. &#x27E8;hal-01785215&#x27E9; [https://amu.hal.science/hal-01785215v1](https://amu.hal.science/hal-01785215v1)
+ Philippe Jégou, Hanan Kanso, Cyril Terrioux. Améliorer les méthodes de décomposition pour le dénombrement exact de solutions. Treizièmes Francophones de Programmation par Contraintes, JFPC 2017, Jun 2017, Montreuil-sur-Mer, France. &#x27E8;hal-01785197&#x27E9; [https://amu.hal.science/hal-01785197v1](https://amu.hal.science/hal-01785197v1)
+ Philippe Jégou, Hanan Kanso, Cyril Terrioux. Vers une exploitation dynamique de la décomposition pour les CSPs pondérés. Treizièmes Francophones de Programmation par Contraintes, JFPC 2017, Jun 2017, Montreuil-sur-Mer, France. &#x27E8;hal-01785202&#x27E9; [https://amu.hal.science/hal-01785202v1](https://amu.hal.science/hal-01785202v1)
+ Philippe Jégou, Cyril Terrioux. Combining Restarts, Nogoods and Bag-Connected Decompositions for Solving CSPs. Constraints, 2017, 22(2) (2), pp.191-229. &#x27E8;10.1007/s10601-016-9248-8&#x27E9;. &#x27E8;hal-01479532&#x27E9; [https://amu.hal.science/hal-01479532v1](https://amu.hal.science/hal-01479532v1)
+ Hua Jiang, Chu-Min Li, Felip Manya. An Exact Algorithm for the Maximum Weight Clique Problem in Large Graphs. THIRTY-FIRST AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE, Feb 2017, San Francisco, United States. pp.830-838. &#x27E8;hal-03636428&#x27E9; [https://u-picardie.hal.science/hal-03636428v1](https://u-picardie.hal.science/hal-03636428v1)
+ Clement Lecat, Corinne Lucet, Chu-Min Li. New Lower Bound for the Minimum Sum Coloring Problem. THIRTY-FIRST AAAI CONFERENCE ON ARTIFICIAL INTELLIGENCE, Feb 2017, San Francisco, United States. pp.853-859. &#x27E8;hal-03636429&#x27E9; [https://u-picardie.hal.science/hal-03636429v1](https://u-picardie.hal.science/hal-03636429v1)
+ Achref El Mouelhi. A BTP-Based Family of Variable Elimination Rules for Binary CSPs. Thirty-First AAAI Conference on Artificial Intelligence, Feb 2017, San Francisco, United States. &#x27E8;hal-01785230&#x27E9; [https://amu.hal.science/hal-01785230v1](https://amu.hal.science/hal-01785230v1)
+ Chu-Min Li, Hua Jiang, Felip Manya. On minimization of the number of branches in branch-and-bound algorithms for the maximum clique problem. Computers and Operations Research, 2017, 84, pp.1-15. &#x27E8;10.1016/j.cor.2017.02.017&#x27E9;. &#x27E8;hal-03636427&#x27E9; [https://u-picardie.hal.science/hal-03636427v1](https://u-picardie.hal.science/hal-03636427v1)
+ André Abrame, Djamal Habet, Donia Toumi Gatfaoui. Improving Configuration Checking for Satisfiable Random k-SAT Instances. Annals of Mathematics and Artificial Intelligence, 2017, 79 (1-3). &#x27E8;hal-01479538&#x27E9; [https://amu.hal.science/hal-01479538v1](https://amu.hal.science/hal-01479538v1)

### Année 2016


+ Cyril Terrioux. Classes polynomiales du problème CSP : entre théorie et pratique. Intelligence artificielle [cs.AI]. Aix-Marseille Université, 2016. &#x27E8;tel-03520681&#x27E9; [https://amu.hal.science/tel-03520681v1](https://amu.hal.science/tel-03520681v1)
+ Philippe Jegou, Hanan Kanso, Cyril Terrioux. Improving Exact Solution Counting for Decomposition Methods. 2016 IEEE 28th International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2016, San Jose, France. pp.327-334, &#x27E8;10.1109/ICTAI.2016.0057&#x27E9;. &#x27E8;hal-03520604&#x27E9; [https://amu.hal.science/hal-03520604v1](https://amu.hal.science/hal-03520604v1)
+ Andre Abrame, Djamal Habet. Learning Nobetter Clauses in Max-SAT Branch and Bound Solvers. 2016 IEEE 28th International Conference on Tools with Artificial Intelligence (ICTAI), Nov 2016, San Jose, United States. pp.452-459, &#x27E8;10.1109/ICTAI.2016.0075&#x27E9;. &#x27E8;hal-03595003&#x27E9; [https://amu.hal.science/hal-03595003v1](https://amu.hal.science/hal-03595003v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux. Extending Broken Triangles and Enhanced Value-Merging. 22nd International Conference on Principles and Practice of Constraint Programming (CP 2016), Sep 2016, Toulouse, France. pp. 173-188. &#x27E8;hal-01475026&#x27E9; [https://hal.science/hal-01475026v1](https://hal.science/hal-01475026v1)
+ Hua Jiang, Chu-Min Li, Felip Manya. Combining Efficient Preprocessing and Incremental MaxSAT Reasoning for MaxClique in Large Graphs. ECAI 2016: 22ND EUROPEAN CONFERENCE ON ARTIFICIAL INTELLIGENCE, Aug 2016, The Hague, Netherlands. pp.939-947, &#x27E8;10.3233/978-1-61499-672-9-939&#x27E9;. &#x27E8;hal-03636430&#x27E9; [https://u-picardie.hal.science/hal-03636430v1](https://u-picardie.hal.science/hal-03636430v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux, Bruno Zanuttini. On Broken Triangles (IJCAI 2016). Twenty-Fifth International Joint Conference on Artificial Intelligence (IJCAI 2016), International Joint Conferences on Artificial Intelligence (IJCAI); Association for the Advancement of Artificial Intelligence, Jul 2016, New York City, United States. pp.4135-4139. &#x27E8;hal-01356058&#x27E9; [https://hal.science/hal-01356058v1](https://hal.science/hal-01356058v1)
+ Yan-Li Liu, Chu-Min Li, Kun He, Yi Fan. Breaking Cycle Structure to Improve Lower Bound for Max-SAT. FRONTIERS IN ALGORITHMICS, FAW 2016, Jun 2016, Qingdao, China. pp.111-124, &#x27E8;10.1007/978-3-319-39817-4\_12&#x27E9;. &#x27E8;hal-03636432&#x27E9; [https://u-picardie.hal.science/hal-03636432v1](https://u-picardie.hal.science/hal-03636432v1)
+ Martin Cooper, Achref El Mouelhi, Cyril Terrioux. Les triangles cassés, encore et encore. 12emes Journees Francophones de Programmation par Contraintes (JFPC 2016), Jun 2016, Montpellier, France. pp. 133-141. &#x27E8;hal-01671343&#x27E9; [https://hal.science/hal-01671343v1](https://hal.science/hal-01671343v1)
+ Philippe Jégou, Hanan Kanso, Cyril Terrioux. Vers une décomposition dynamique des réseaux de contraintes. Journées Francophones de Programmation par Contraintes (JFPC 2016), 2016, Montpellier, France. pp.123-132. &#x27E8;hal-01490088&#x27E9; [https://amu.hal.science/hal-01490088v1](https://amu.hal.science/hal-01490088v1)
+ Séverine Dubuisson, Christophe Gonzales. A survey of datasets for visual tracking. Machine Vision and Applications, 2016, 27 (1), pp.23-52. &#x27E8;10.1007/s00138-015-0713-y&#x27E9;. &#x27E8;hal-01217152&#x27E9; [https://hal.sorbonne-universite.fr/hal-01217152v1](https://hal.sorbonne-universite.fr/hal-01217152v1)
+ Philippe Jégou, Hanan Kanso, Cyril Terrioux. Towards a Dynamic Decomposition of CSPs with Separators of Bounded Size. Proceedings of the 22nd International Conference on Principles and Practice of Constraint Programming, 2016, Toulouse, France. pp.298-315. &#x27E8;hal-01490136&#x27E9; [https://amu.hal.science/hal-01490136v1](https://amu.hal.science/hal-01490136v1)
+ Martin Cooper, Aymeric Duchein, Achref El Mouelhi, Guillaume Escamocher, Cyril Terrioux, et al.. Broken triangles: From value merging to a tractable class of general-arity constraint satisfaction problems. Artificial Intelligence, 2016, 234, pp.196-218. &#x27E8;10.1016/j.artint.2016.02.001&#x27E9;. &#x27E8;hal-01356091&#x27E9; [https://hal.science/hal-01356091v1](https://hal.science/hal-01356091v1)

      
